import request from '@/utils/request'

// 移交公安情况
export function getPolice(params = {}) {
  return request({
    url: '/item/largeScreen/police',
    method: 'get',
    params
  })
}
// 故意隐匿情况
export function getConceal(params = {}) {
  return request({
    url: '/item/largeScreen/conceal',
    method: 'get',
    params
  })
}
//查获类别分布
export function getCategory(params = {}) {
  return request({
    url: '/item/largeScreen/category',
    method: 'get',
    params
  })
}

//查获岗位分布
export function getPost(params = {}) {
  return request({
    url: '/item/largeScreen/post',
    method: 'get',
    params
  })
} 

//查获总数量+移交公安数量+故意隐匿数量
export function getTotalSome(params = {}) {
  return request({
    url: '/item/largeScreen/getTotalSome',
    method: 'get',
    params
  })
}
//查获排名
export function getRank(params = {}) {
  return request({
    url: '/item/largeScreen/rank',
    method: 'get',
    params
  })
}
//查获时段分布
export function getTimeSpan(params = {}) {
  return request({
    url: '/item/largeScreen/timeSpan',
    method: 'get',
    params
  })
}
//查获位置分布
export function getPosition(params = {}) {
  return request({
    url: '/item/largeScreen/position',
    method: 'get',
    params
  })
}
//查获通道分布
export function getChannel(params = {}) {
  return request({
    url: '/item/largeScreen/channel',
    method: 'get',
    params
  })
}






// 新增检查记录
export function addCheckRecord(data) {
  return request({
    url: '/check/checkRecord',
    method: 'post',
    data: data
  })
}


